Source: node-groove
Version: 2.2.6-2
Severity: serious
Justification: fails to build from source
Tags: sid stretch
User: reproducible-bui...@lists.alioth.debian.org
Usertags: ftbfs
X-Debbugs-CC: reproducible-bui...@lists.alioth.debian.org

Dear Maintainer,

The package fails to build:

gyp info spawn make
gyp info spawn args [ 'BUILDTYPE=Release', '-C', 'build' ]
make[2]: Entering directory '/node-groove-2.2.6/build'
  CXX(target) Release/obj.target/groove/src/groove.o
In file included from ../src/groove.cc:3:0:
../src/gn_file.h:8:40: error: expected class-name before ‘{’ token
 class GNFile : public node::ObjectWrap {
                                        ^
../src/gn_file.h:13:53: error: ‘Arguments’ in namespace ‘v8’ does not name a 
type
         static v8::Handle<v8::Value> Open(const v8::Arguments& args);
                                                     ^
../src/gn_file.h:21:52: error: ‘Arguments’ in namespace ‘v8’ does not name a 
type
         static v8::Handle<v8::Value> New(const v8::Arguments& args);
                                                    ^
../src/gn_file.h:24:27: error: ‘AccessorInfo’ in namespace ‘v8’ does not name a 
type
                 const v8::AccessorInfo &info);
                           ^
../src/gn_file.h:26:27: error: ‘AccessorInfo’ in namespace ‘v8’ does not name a 
type
                 const v8::AccessorInfo &info);
                           ^

Full build log:
https://reproducible.debian.net/rb-pkg/unstable/amd64/node-groove.html

-- System Information:
Debian Release: stretch/sid
APT prefers unstable
APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

_______________________________________________
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to